# Apply For a Physical Card

* Check the status using the *Query Apply Result* API
* Wait for our asynchronous callback notification

### Apply Physical Card

User  Apply a Physical card

Synchronous interface, If the order status returned by the interface is not completed, you can query it through the Query Apply Result interface or wait for our callback.

### **Request** URI <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/apply-physical`

### **Request Body**

&#x20;**Refer to :** [**common**](/issuing-card-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="265">Name</th><th width="118.29296875">Type</th><th width="315.69140625">Description</th></tr></thead><tbody><tr><td>order_no<mark style="color:red;">*</mark></td><td>string</td><td>Order number. Globally unique.</td></tr><tr><td>card_scheme<mark style="color:red;">*</mark></td><td>integer</td><td><p>Card Schema.Fix Value:3</p><p>Refer to <a href="/pages/IUBAVFEJ6eG4BaecRqPS">CardSchema</a></p></td></tr><tr><td>card_type<mark style="color:red;">*</mark></td><td>integer</td><td>Card type.Fix Value:4</td></tr><tr><td>card_bin<mark style="color:red;">*</mark></td><td>string</td><td>Card Bin .Please contact customer manager.</td></tr><tr><td>order_count</td><td>integer</td><td>Order count. Default value: 1</td></tr><tr><td>name_on_card_printing_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>Cardholder Name Printing Method </p><p>Enums:  </p><p><code>1-Cardholder name and agency name</code> </p><p><code>2-cardholder name only</code> </p><p><code>3-agency name only</code></p><p>If it is <code>3-agency name only</code> ,cardholder binding required later.Please refer to <a href="https://docs.pagsmile.com/issuing-card-api/business/card/physical-card/bind-holder">Bind Holder</a>.</p></td></tr><tr><td>is_share_card</td><td>Boolean</td><td>Is Shard Card.Default value: false</td></tr><tr><td>shared_account_num</td><td>string</td><td>Shared Account Num</td></tr><tr><td>pay_account_num</td><td>string</td><td>Pay Account Number</td></tr><tr><td>initial_balance</td><td>string</td><td><p>Initial Balance </p><p>Default:USD</p></td></tr><tr><td>card_remark</td><td>string</td><td>Card Remark</td></tr><tr><td>card_limit.daily_transactions<mark style="color:red;">*</mark></td><td>integer</td><td><p>Daily Transactions</p><p>If card_limit is not null,it is required </p><p>Tip: card_limit can be null</p></td></tr><tr><td>card_limit.single_amount<mark style="color:red;">*</mark></td><td>string</td><td><p>Single Amount</p><p>If card_limit is not null ,it is required</p><p>Tip: card_limit can be null</p></td></tr><tr><td>card_limit.daily_amount<mark style="color:red;">*</mark></td><td>string</td><td><p>Daily Amount</p><p>If card_limit is not null, it is required</p><p>Tip: card_limit can be null</p></td></tr><tr><td>card_limit.monthly_amount<mark style="color:red;">*</mark></td><td>string</td><td><p>Monthly Amount</p><p>If card_limit is not null, it is required</p><p>Tip: card_limit can be null</p></td></tr><tr><td>card_limit.total_amount</td><td>string</td><td>Total Limit .Designed for share card</td></tr><tr><td>holder_ids</td><td>list&#x3C;long></td><td><p>Cardholder IDs.</p><p>Mandatory if name_on_card_printing_type is <code>1-Cardholder name and agency name</code> or <code>2-cardholder name only</code> .Optional otherwise.</p></td></tr><tr><td>shipping_method<mark style="color:red;">*</mark></td><td>integer</td><td><p>Shipping method</p><p>Enums:  <code>2-standard 3-DHL</code> </p></td></tr><tr><td>delivery_address_id<mark style="color:red;">*</mark></td><td>long</td><td><p>Delivery address ID </p><p>Refer to <a href="https://docs.pagsmile.com/issuing-card-api/business/card/physical-card/delivery-address">Delivery Address</a></p></td></tr></tbody></table>

### **Request** Example <a href="#example" id="example"></a>

{% tabs %}
{% tab title="Apply for Existing Holder" %}

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "19Fc3ddf-2350-4035-d5D3-cdB58a18",
    "timestamp": "2025-04-07 13:52:25",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "order_no": "E1d6c70E-FcFB-8dFf-",
        "card_scheme": 3,
        "card_type": 4,
        "order_count":1,
        "holder_ids": [103006],
        "is_share_card": true,
        "card_bin": "658704",
        "name_on_card_printing_type":1,
        "shipping_method":2,
        "card_limit": {
            "daily_transactions": 10,
            "single_amount": 100,
            "daily_amount": 1000,
            "monthly_amount": 10000,
            "total_amount": 100000
        }
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

{% endtab %}
{% endtabs %}

### Response <a href="#example" id="example"></a>

<table><thead><tr><th width="227.03125">Name</th><th width="174.890625">Type</th><th>Description</th></tr></thead><tbody><tr><td>card_id</td><td>long</td><td>Card ID</td></tr><tr><td>order_no</td><td>string</td><td>Order number</td></tr><tr><td>order_status</td><td>integer</td><td>Order status.Refer to: <a href="/pages/MmF50weZUWhJvCttY7XH">OrderStatus</a></td></tr><tr><td>order_count</td><td>integer</td><td>Order count</td></tr><tr><td>card_token</td><td>string</td><td>Card token</td></tr><tr><td>card_pan</td><td>string</td><td>Card pan</td></tr><tr><td>card_scheme</td><td>integer</td><td>Card scheme</td></tr><tr><td>card_type</td><td>integer</td><td>Card type</td></tr><tr><td>is_share_card</td><td>boolean</td><td>Is share card</td></tr><tr><td>card_bin</td><td>string</td><td>Card Bin</td></tr></tbody></table>

{% tabs %}
{% tab title="200:OK" %}

<pre><code>{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "&#x3C;random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": {
        "card_id": 103077,
<strong>        "order_no": "E1d6c70E-FcFB-8dFf-",
</strong>        "order_status": 2,
        "holder_name": "Test User",
        "card_token": null,
        "card_pan": null,
        "card_bin": "658704",
        "card_scheme": 3,
        "card_type": 3,
        "is_share_card": true,
        "order_count": 1
    }
}
// The data in this example has already been decrypted.
</code></pre>

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/card/apply-for-a-physical-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
